import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import path from 'path'
const TimeStamp = new Date().getTime();

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue()],
  resolve: {
	  alias: {
		  '@': path.resolve(__dirname, 'src')
	  }
  },
  build: {
  	rollupOptions: {
  		output: {
  			filename: `[name].${TimeStamp}.js`,
  			chunkFilename: `[name].${TimeStamp}.js`
  		},
  	},
  }
})
